import 'package:flutter/material.dart';
import 'package:fis_ui/index.dart';
import 'package:flyinsono/pages/auth/clause_view/view.dart';
import 'package:fis_i18n/i18n.dart';

/// PC端的弹框
class ClauseDialog extends FStatelessWidget {
  const ClauseDialog({
    super.key,
    required this.title,
  });
  final String title;
  @override
  FWidget build(BuildContext context) {
    return FSimpleDialog(
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(8),
      ),
      title: FText(
        title,
        style: TextStyle(
          color: Colors.white,
        ),
      ),
      okString: i18nBook.common.confirm.t,
      cancelString: i18nBook.common.cancel.t,
      children: [
        FContainer(
          width: 800,
          height: 600,
          padding: EdgeInsets.only(
            top: 5,
            bottom: 40,
            right: 15,
            left: 15,
          ),
          child: ClauseViewPage(),
        ),
      ],
    );
  }
}
